#
# spec file for package python-enzyme
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-enzyme
Version:        0.5.2
Release:        1.5
Summary:        Python video metadata parser
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/Diaoul/enzyme
Source0:        https://files.pythonhosted.org/packages/source/e/enzyme/enzyme-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Enzyme is a Python module to parse video metadata.

%prep
%autosetup -p1 -n enzyme-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# online tests only

%files %{python_files}
%license LICENSE
%doc README.md
%{python_sitelib}/enzyme
%{python_sitelib}/enzyme-%{version}.dist-info

%changelog
* Sat Jun 29 2024 Dirk Müller <dmueller@suse.com>
- update to 0.5.2:
  * Include test `.yml` file in distribution
* Tue Jun 25 2024 Luigi Baldoni <aloisio@gmx.com>
- Update to version 0.5.1
  * Fix package distribution
  version 0.5.0:
  * Drop support for older Python versions
  * Add support to Python 3.12, replacing the deprecated
    function pkg_resources.resource_stream with
    importlib.resources.files
* Sat Mar 14 2020 Tomáš Chvátal <tchvatal@suse.com>
- Fix build without python2
* Fri Jun  7 2019 Petr Gajdos <pgajdos@suse.com>
- call spec cleaner
- note the tests are online
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Wed Mar  1 2017 aloisio@gmx.com
- Converted to single spec.
- Dropped python-enzyme-rpmlintrc
* Sun Feb 15 2015 p.drouand@gmail.com
- Rename rpmlintrc to python-enzyme-rpmlintrc
- Add python-enzyme-rpmlintrc to sources list
* Wed Feb 11 2015 aloisio@gmx.com
- Initial version 0.4.1
